Skip to main content
PATCH
Update a merge proposal

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

merge_proposal_id
string
required

Unique identifier for the merge_proposal.

Example:

"agtmprop_8901k4t9z5defmb8vh3e9361y7nj"

Body

application/json
title
string | null

New title for the merge_proposal.

Required string length: 1 - 140
description
string | null

New description for the merge_proposal.

Maximum string length: 4096
requested_reviewer_user_ids
string[] | null

Replacement list of user IDs to request a review from.

Maximum array length: 100
close
boolean
default:false

When true, close the merge_proposal without merging.

Response

Successful Response

id
string
required
agent_id
string
required
source_branch_id
string
required
target_branch_id
string
required
source_tip_version_id_at_creation
string
required
title
string
required
created_at
integer
required
updated_at
integer
required
description
string
default:""
requested_reviewer_user_ids
string[]
reviews
MergeProposalReview · object[]
comments
MergeProposalComment · object[]
outcome
OpenOutcome · object
author_user_id
string | null

User ID of the merge_proposal's author.

access_info
ResourceAccessInfo · object | null

Access information for the merge_proposal, including creator.

Example: